Module org.jfree.chart3d
Package org.jfree.chart3d.label

# Interface PieLabelGenerator

All Known Implementing Classes:
  `StandardPieLabelGenerator`

public interface PieLabelGenerator
A label generator for pie charts. A default implementation (`StandardPieLabelGenerator`) is provided.

## Method Summary

Modifier and Type
Method
Description
`String`
`generateLabel(PieDataset3D dataset, Comparable<?> key)`
Returns a label for one data item in a pie chart.

## Method Details

### generateLabel

String generateLabel(PieDataset3D dataset, Comparable<?> key)
Returns a label for one data item in a pie chart.

Parameters:
  `dataset` - the dataset (`null` not permitted).
  `key` - the key (`null` not permitted).
Returns:
  The label (possibly `null`).